Retrieve API key
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { apiKey, apiKeyError } = await reloop.apiKey.get("key_123456789");6
7if (apiKeyError) throw apiKeyError;8
9console.log(apiKey.id, apiKey.name, apiKey.enabled);1{2 "id": "key_123456789",3 "name": "Production API Key",4 "start": "rl_live",5 "prefix": "rl",6 "enabled": true,7 "requestCount": 150,8 "createdAt": "2026-03-29T10:00:00Z",9 "updatedAt": "2026-03-29T10:00:00Z",10 "permissions": "read,write",11 "createdBy": {12 "id": "user_123",13 "name": "John Doe",14 "email": "john@example.com"15 }16}Path Parameters
api_key_idstringRequired
API Key identifier
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.